import os

base_dir = 'results/super_glue'

for dirpath, dirnames, filenames in os.walk(base_dir):
    # delete all files starting with "super_glue_"
    for filename in filenames:
        if filename.startswith('super_glue_'):
            file_path = os.path.join(dirpath, filename)
            os.remove(file_path)
            print(f'Deleted file: {file_path}')